<?php
/*
 * Swiper_XH
 * @copyright   Frank Seidel, Olaf Penschke
 * @author      Frank Seidel    frase
 * @author      Olaf Penschke   olape
 * @link        http://fhseidel.de/ http://olaf.penschke.net/

 * @license     http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3
 
 * Swiper (MIT Licensed) https://swiperjs.com

================================================================================
*/

header('Content-type: text/css;');

if(isset($_GET['sw_name'])) {
    $sw_name = rawurldecode($_GET['sw_name']);
} else {
    $sw_name = '';
}
if(isset($_GET['sw_t_c'])) {
    $sw_ThemeColor = rawurldecode($_GET['sw_t_c']);
} else {
    $sw_ThemeColor = '';
}

//==============================================================================
?>


/*
 * Swiper_XH
 * Frank Seidel, Olaf Penschke
 * Stylesheet for "set_cube"
 */
 
/* The following line is mandatory. Do not delete it! */
<?php if($sw_name != '') :?>

.swiperGallery {
	height: 506px;
	background: #fff;
	/*padding: 5px 5px 0 5px;*/
	margin: 1em 0;
}
.swiperGallery p {
	position: absolute;
	bottom: 0;
	color: rgba(255,255,255,.75);
	background: rgba(0,0,0,.5);
	padding: .5em;
	margin: 0 !important;
	font-size: .9em;
	font-style: normal;
}
.swiperGallery p:hover {
	background: #000;
}
.swiperGallery .<?=$sw_name;?>-thumbs p {
	display: none;
}

.<?=$sw_name;?>-thumbs .slide1,
.<?=$sw_name;?> .slide1 {
	background: url(images/gallery-02.jpg);
	background-size: cover;
	background-position: center;
}
.<?=$sw_name;?>-thumbs .slide2,
.<?=$sw_name;?> .slide2 {
	background: url(images/gallery-01.jpg);
	background-size: cover;
	background-position: center;
}
.<?=$sw_name;?>-thumbs .slide3,
.<?=$sw_name;?> .slide3 {
	background: url(images/gallery-03.jpg);
	background-size: cover;
	background-position: center;
}
.<?=$sw_name;?>-thumbs .slide4,
.<?=$sw_name;?> .slide4 {
	background: url(images/gallery-04.jpg);
	background-size: cover;
	background-position: center;
}
.<?=$sw_name;?>-thumbs .slide5,
.<?=$sw_name;?> .slide5 {
	background: url(images/gallery-05.jpg);
	background-size: cover;
	background-position: center;
}
.<?=$sw_name;?>-thumbs .slide6,
.<?=$sw_name;?> .slide6 {
	background: url(images/gallery-06.jpg);
	background-size: cover;
	background-position: center;
}
.<?=$sw_name;?>-thumbs .slide7,
.<?=$sw_name;?> .slide7 {
	background: url(images/gallery-07.jpg);
	background-size: cover;
	background-position: center;
}
.<?=$sw_name;?>-thumbs .slide8,
.<?=$sw_name;?> .slide8 {
	background: url(images/gallery-08.jpg);
	background-size: cover;
	background-position: center;
}
.<?=$sw_name;?>-thumbs .slide9,
.<?=$sw_name;?> .slide9 {
	background: url(images/gallery-09.jpg);
	background-size: cover;
	background-position: center;
}
.<?=$sw_name;?>-thumbs .slide10,
.<?=$sw_name;?> .slide10 {
	background: url(images/gallery-10.jpg);
	background-size: cover;
	background-position: center;
}
.<?=$sw_name;?> .slide10 div.xhLink {
	opacity: .01;
	display: table;
	width: 100%;
	height: 100%;
}
.<?=$sw_name;?> .slide10 .xhLink:hover {
	opacity: 1;
}
.<?=$sw_name;?> .slide10 div.xhLink > div {
	font-size: 3em;
	color: #000;
	text-align: center;
	background: rgba(255,255,255,.85);
	display: table-cell;
	vertical-align: middle;
	width: 100%;
	height: 100%;
}
.<?=$sw_name;?> .slide10 div.xhLink > div a {
	border: none;
	width: 100%;
	height: 100%;
}
.swiperGallery .<?=$sw_name;?>-thumbs .slide10 div.xhLink {
	display: none;
}

.<?=$sw_name;?> {
	height: 80%;
	width: 100%;
    --swiper-theme-color: rgba(255,255,255,.5);
	--swiper-navigation-size: 25px;
}
.<?=$sw_name;?> .swiper-button-next,
.<?=$sw_name;?> .swiper-button-prev {
	color: rgba(255,255,255,.5);
	padding: 20px 10px;
	top: 3%;
}
.<?=$sw_name;?> .swiper-button-next:hover,
.<?=$sw_name;?> .swiper-button-prev:hover {
	color: rgba(255,255,255,1);
}
.<?=$sw_name;?>-thumbs {
	height: 20%;
	box-sizing: border-box;
	padding: 2px 0;
}
.<?=$sw_name;?>-thumbs .swiper-slide {
	height: 100%;
	opacity: 0.4;
}
.<?=$sw_name;?>-thumbs .swiper-slide:hover {
	opacity: .9;
}
.<?=$sw_name;?>-thumbs .swiper-slide-thumb-active {
	opacity: 1;
}

/* The following line is mandatory. Do not delete it! */
<?php endif?>
