<?php
/*
 * Swiper_XH
 * @copyright   Frank Seidel, Olaf Penschke
 * @author      Frank Seidel    frase
 * @author      Olaf Penschke   olape
 * @link        http://fhseidel.de/ http://olaf.penschke.net/

 * @license     http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3
 
 * Swiper (MIT Licensed) https://swiperjs.com

================================================================================
*/

header('Content-type: text/css;');

if(isset($_GET['sw_name'])) {
    $sw_name = rawurldecode($_GET['sw_name']);
} else {
    $sw_name = '';
}
if(isset($_GET['sw_t_c'])) {
    $sw_ThemeColor = rawurldecode($_GET['sw_t_c']);
} else {
    $sw_ThemeColor = '';
}

//==============================================================================
?>


/*
 * Swiper_XH
 * Frank Seidel, Olaf Penschke
 * Stylesheet for "set_fade"
 */

/* The following line is mandatory. Do not delete it! */
<?php if($sw_name != '') :?>

.<?=$sw_name;?> {
	height: 400px;
}
.<?=$sw_name;?> .swiper-slide {
	height: auto;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	padding: 1em 3em;
}


/* The following line is mandatory. Do not delete it! */
<?php endif?>