<?php
/*
 * Swiper_XH
 * @copyright   Frank Seidel, Olaf Penschke
 * @author      Frank Seidel    frase
 * @author      Olaf Penschke   olape
 * @link        http://fhseidel.de/ http://olaf.penschke.net/

 * @license     http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3
 
 * Swiper (MIT Licensed) https://swiperjs.com

================================================================================
*/

header('Content-type: text/css;');

if(isset($_GET['sw_name'])) {
    $sw_name = rawurldecode($_GET['sw_name']);
} else {
    $sw_name = '';
}
if(isset($_GET['sw_t_c'])) {
    $sw_ThemeColor = rawurldecode($_GET['sw_t_c']);
} else {
    $sw_ThemeColor = '';
}

//==============================================================================
?>


/*
 * Swiper_XH
 * Frank Seidel, Olaf Penschke
 * Stylesheet for "set_cube"
 */
 
/* The following line is mandatory. Do not delete it! */
<?php if($sw_name != '') :?>

<?php if($sw_ThemeColor != '') :?>
.<?php echo $sw_name;?> {
	--swiper-theme-color: <?php echo $sw_ThemeColor;?>;
}
<?php endif?>

.<?=$sw_name;?> {
	width: 250px;
	height: 250px;
	padding-top: 30px;
	padding-bottom: 50px;
}
.<?=$sw_name;?> .slide1 {
	background: url(images/cube01.jpg);
	background-size: cover;
	overflow: hidden;
}
.<?=$sw_name;?> .slide2 {
	background: url(images/cube02.jpg);
	background-size: cover;
	overflow: hidden;
}
.<?=$sw_name;?> .slide3 {
	background: url(images/cube03.jpg);
	background-size: cover;
	overflow: hidden;
}
.<?=$sw_name;?> .slide4 {
	background: url(images/cube04.jpg);
	background-size: cover;
	overflow: hidden;
}
.<?=$sw_name;?> .slide5 {
	background: url(images/cube05.jpg);
	background-size: cover;
	overflow: hidden;
}

.<?=$sw_name;?> p {
    background: rgba(0,0,0,.5);
	margin: .5em auto;
	padding: .1em .25em;
	position: absolute;
	display: inline-block;
	text-align: center;
	top: .5em;
	left: 5em;
	right: 5em;
	color: #fff;
}
.<?=$sw_name;?> p:hover {
    background: rgba(0,0,0,1);
}

/* The following line is mandatory. Do not delete it! */
<?php endif?>
