<?php
/*
 * Swiper_XH
 * @copyright   Frank Seidel, Olaf Penschke
 * @author      Frank Seidel    frase
 * @author      Olaf Penschke   olape
 * @link        http://fhseidel.de/ http://olaf.penschke.net/

 * @license     http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3
 
 * Swiper (MIT Licensed) https://swiperjs.com

================================================================================
*/

header('Content-type: text/css;');

if(isset($_GET['sw_name'])) {
    $sw_name = rawurldecode($_GET['sw_name']);
} else {
    $sw_name = '';
}
if(isset($_GET['sw_t_c'])) {
    $sw_ThemeColor = rawurldecode($_GET['sw_t_c']);
} else {
    $sw_ThemeColor = '';
}

//==============================================================================
?>


/*
 * Swiper_XH
 * Frank Seidel, Olaf Penschke
 * Stylesheet for "set_fade"
 */

/* The following line is mandatory. Do not delete it! */
<?php if($sw_name != '') :?>

.<?=$sw_name;?> {
	padding-top: 2em;
	padding-bottom: 2.5em;
    --swiper-theme-color: #3df;
}
.<?=$sw_name;?> .slide1 {
	background: url(images/fade01.jpg);
	background-size: cover;
	overflow: hidden;
	padding-top: 56.25%
}
.<?=$sw_name;?> .slide2 {
	background: url(images/fade02.jpg);
	background-size: cover;
	overflow: hidden;
	padding-top: 56.25%
}
.<?=$sw_name;?> .slide3 {
	background: url(images/fade03.jpg);
	background-size: cover;
	overflow: hidden;
	padding-top: 56.25%
}
.<?=$sw_name;?> p {
    background: rgba(0,0,0,.5);
	margin: 0 !important;
	padding: .1em .25em;
	position: absolute;
	text-align: center;
	bottom: 0;
	left: 0;
	right: 0;
	color: #3df;
}
.<?=$sw_name;?> p:hover {
    background: rgba(0,0,0,1);
}
.<?=$sw_name;?> .swiper-button-next::after,
.<?=$sw_name;?> .swiper-button-prev::after {
	text-shadow: 0px 1px 1px rgba(0,0,0,.95);
}
.<?=$sw_name;?> .swiper-pagination-bullet {
	box-shadow: 1px 1px 1px rgba(0,0,0,.95);
}

/* The following line is mandatory. Do not delete it! */
<?php endif?>