<?php
/* utf8-marker = äöüß */

/*
 * Swiper_XH
 * @copyright   Frank Seidel, Olaf Penschke
 * @author      Frank Seidel    frase
 * @author      Olaf Penschke   olape
 * @version     1.0 RC1 (08.04.2020)
 * @link        http://fhseidel.de/ http://olaf.penschke.net/

 * @license     http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3
 
 * Swiper (MIT Licensed) https://swiperjs.com

================================================================================
*/

$plugin_mcf['swiper']['swiper-tab_no-hidden'] = "bool";
$plugin_mcf['swiper']['swiper-tab_pre-defined-colors'] = "text";

$plugin_mcf['swiper']['swiper-container_width'] = "string";
$plugin_mcf['swiper']['swiper-container_height'] = "string";

$plugin_mcf['swiper']['swiper-slider_padding'] = "string";
$plugin_mcf['swiper']['swiper-container_margin'] = "string";

$plugin_mcf['swiper']['swiper-theme_color'] = "xenum:#,rgb(,rgba(,hsl(,hsla(";

$plugin_mcf['swiper']['swiper-parameters_direction'] = "enum:horizontal,vertical";
$plugin_mcf['swiper']['swiper-parameters_speed'] = "number";
$plugin_mcf['swiper']['swiper-parameters_autoHeight'] = "bool";
$plugin_mcf['swiper']['swiper-parameters_effect'] = "enum:slide,fade,cube,coverflow,flip";
$plugin_mcf['swiper']['swiper-parameters_crossFade'] = "bool";
$plugin_mcf['swiper']['swiper-parameters_spaceBetween'] = "number";
$plugin_mcf['swiper']['swiper-parameters_grabCursor'] = "bool";
$plugin_mcf['swiper']['swiper-parameters_loop'] = "bool";

$plugin_mcf['swiper']['swiper-parameters_autoplay'] = "bool";
$plugin_mcf['swiper']['swiper-parameters_autoStopLast'] = "bool";
$plugin_mcf['swiper']['swiper-parameters_disableOnInteraction'] = "bool";
$plugin_mcf['swiper']['swiper-parameters_delay'] = "number";
$plugin_mcf['swiper']['swiper-parameters_freeMode'] = "bool";

$plugin_mcf['swiper']['swiper-pagination_enabled'] = "bool";
$plugin_mcf['swiper']['swiper-pagination_type'] = "enum:bullets,fraction,progressbar";
$plugin_mcf['swiper']['swiper-pagination_bulletSize'] = "string";
$plugin_mcf['swiper']['swiper-pagination_dynamicBullets'] = "bool";
$plugin_mcf['swiper']['swiper-pagination_dynamicMainBullets'] = "number";
$plugin_mcf['swiper']['swiper-pagination_bulletsClickable'] = "bool";
$plugin_mcf['swiper']['swiper-pagination_bulletsInactiveColor'] = "enum:dark,light";

$plugin_mcf['swiper']['swiper-navigation_arrows'] = "bool";
$plugin_mcf['swiper']['swiper-navigation_arrowsHideOnClick'] = "bool";
$plugin_mcf['swiper']['swiper-navigation_arrowsSize'] = "string";
$plugin_mcf['swiper']['swiper-navigation_keyboardEnabled'] = "bool";
$plugin_mcf['swiper']['swiper-navigation_mousewheelEnabled'] = "bool";

$plugin_mcf['swiper']['swiper-scrollbar_enabled'] = "bool";
$plugin_mcf['swiper']['swiper-scrollbar_hide'] = "bool";
$plugin_mcf['swiper']['swiper-scrollbar_draggable'] = "bool";
