<?php
/*
 * Swiper_XH
 * @copyright   Frank Seidel, Olaf Penschke
 * @author      Frank Seidel    frase
 * @author      Olaf Penschke   olape
 * @link        http://fhseidel.de/ http://olaf.penschke.net/

 * @license     http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3
 
 * Swiper (MIT Licensed) https://swiperjs.com

================================================================================
*/

header('Content-type: text/css;');

if(isset($_GET['sw_name'])) {
    $sw_name = rawurldecode($_GET['sw_name']);
} else {
    $sw_name = '';
}
if(isset($_GET['sw_t_c'])) {
    $sw_ThemeColor = rawurldecode($_GET['sw_t_c']);
} else {
    $sw_ThemeColor = '';
}

//==============================================================================
?>


/*
 * Swiper_XH
 * Frank Seidel, Olaf Penschke
 * Stylesheet for "set_header"
 */

/* The following line is mandatory. Do not delete it! */
<?php if($sw_name != '') :?>

.<?=$sw_name;?> {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	height: 100%;
	--swiper-theme-color: #f60;
	--swiper-navigation-size: 22px;
	z-index: 0;
}
.<?=$sw_name;?> .swiper-slide {
	display: table;
	color: rgba(255,255,255,.95);
}
.<?=$sw_name;?> .slide1 {
	background: url(images/header-01.jpg);
	background-size: cover;
	background-position: center center;
}
.<?=$sw_name;?> .slide2 {
	background: url(images/header-02.jpg);
	background-size: cover;
	background-position: center center;
}
.<?=$sw_name;?> .slide3 {
	background: url(images/header-03.jpg);
	background-size: cover;
	background-position: center center;
}
.<?=$sw_name;?> .sliderPadding {
	padding: 0 2em;
	display: table-cell;
	vertical-align: middle;
	width: 100%;
}
.<?=$sw_name;?> .swiper-pagination-bullet {
      width: 15px;
      height: 15px;
      text-align: center;
      line-height: 14px;
      font-size: 10px;
      color:#fff;
      opacity: 1;
      background: rgba(0,0,0,.5);
	  font-weight: bold;
	  border-radius: 0;
	  z-index: 100;
    }
.<?=$sw_name;?> .swiper-pagination-bullet-active {
      color:#fff;
      background: #007aff;
	  font-weight: bold;
    }

/* The following line is mandatory. Do not delete it! */
<?php endif?>
