<?php
/*
 * Swiper_XH
 * @copyright   Frank Seidel, Olaf Penschke
 * @author      Frank Seidel    frase
 * @author      Olaf Penschke   olape
 * @link        http://fhseidel.de/ http://olaf.penschke.net/

 * @license     http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3
 
 * Swiper (MIT Licensed) https://swiperjs.com

================================================================================
*/

header('Content-type: text/css;');

if(isset($_GET['sw_name'])) {
    $sw_name = rawurldecode($_GET['sw_name']);
} else {
    $sw_name = '';
}
if(isset($_GET['sw_t_c'])) {
    $sw_ThemeColor = rawurldecode($_GET['sw_t_c']);
} else {
    $sw_ThemeColor = '';
}

//==============================================================================
?>


/*
 * Swiper_XH
 * Frank Seidel, Olaf Penschke
 * Stylesheet for "set_cube"
 */
 
/* The following line is mandatory. Do not delete it! */
<?php if($sw_name != '') :?>

<?php if($sw_ThemeColor != '') :?>
.<?php echo $sw_name;?> {
	--swiper-theme-color: <?php echo $sw_ThemeColor;?>;
}
<?php endif?>

.<?=$sw_name;?> {
	height: 450px;
}
.<?=$sw_name;?> .slide1 {
	background: url(images/cube-in-tpl-01.jpg);
	background-size: cover;
}
.<?=$sw_name;?> .slide2 {
	background: url(images/cube-in-tpl-02.jpg);
	background-size: cover;
}
.<?=$sw_name;?> .slide3 {
	background: url(images/cube-in-tpl-03.jpg);
	background-size: cover;
}
.<?=$sw_name;?> .slide4 {
	background: url(images/cube-in-tpl-04.jpg);
	background-size: cover;
	background-position: center center;
}

.<?=$sw_name;?> .swiper-button-next,
.<?=$sw_name;?> .swiper-button-prev {
	top: 90%;
}
.<?=$sw_name;?> {
	--swiper-navigation-size: 25px;
}

.<?php echo $sw_name;?> .swiper-pagination-bullet {
	width: 12px;
	height: 12px;
	border: 1px solid rgba(255,255,255,.5);
}
.<?=$sw_name;?> .swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
	background: rgb(255, 255, 255,.1);
	opacity: 1;
	border: 1px solid rgba(255, 255, 255, 0.25);
}

.<?=$sw_name;?> .exTxt1 {
	color: #fff;
	position: absolute;
	top: 30px;
	left: 0;
	font-size: 1.75em;
	font-weight: 300;
	font-style: italic;
	border: 1px solid rgba(255,255,255,.3);
	border-left: 0;
	padding: 15px 10px 15px 10px;
	background: rgba(0,0,0,.75);
	text-shadow: 1px 1px 1px rgba(0,0,0,.75);
}
.<?=$sw_name;?> .exEmpty {
	position: absolute;
	top: 30px;
	right: 0;
	font-size: 1.75em;
	font-weight: 300;
	border: 1px solid rgba(255,255,255,.3);
	border-right: 0;
	padding: 15px 10px;
	background: rgba(0,0,0,.75);
}
.<?=$sw_name;?> .exTxt2 {
	color: #fff;
	position: absolute;
	top: 90px;
	left: 0;
	padding: 10px;
}
.<?=$sw_name;?> .slide4 .exTxt2 {
	color: #ff0;
}


/* The following line is mandatory. Do not delete it! */
<?php endif?>
